fw_cdev_event_common Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_event_common - Common part of all fw_cdev_event_ types @closure: For arbitrary use by userspace @type: Discriminates the fw_cdev_event_ types

This struct may be used to access generic members of all fw_cdev_event_ types regardless of the specific type.

Data passed in the @closure field for a request will be returned in the corresponding event. It is big enough to hold a pointer on all platforms. The ioctl used to set @closure depends on the @type of event.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h